package org.codehaus.xfire.test;

import org.codehaus.xfire.service.object.ObjectServiceBuilder;
import org.codehaus.xfire.service.object.ServiceBuilder;
import org.codehaus.xfire.transport.TransportManager;
import org.codehaus.xfire.type.DefaultTypeMappingRegistry;
import org.codehaus.xfire.type.TypeMappingRegistry;

/**
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse </a>
 * @since Oct 31, 2004
 */
public class AbstractXFireTypeTest
    extends AbstractXFireTest
{
    DefaultTypeMappingRegistry registry;

    ServiceBuilder builder;

    public void setUp()
        throws Exception
    {
        super.setUp();

        registry = new DefaultTypeMappingRegistry(true);

        TransportManager trans = getXFire().getTransportManager();
        trans.register(new TestHttpTransport());

        builder = new ObjectServiceBuilder(getXFire(), registry);
    }

    public TypeMappingRegistry getRegistry()
    {
        return registry;
    }

    public ServiceBuilder getServiceBuilder()
    {
        return builder;
    }
}
