package org.codehaus.xfire.type.basic;

import org.codehaus.xfire.MessageContext;
import org.codehaus.xfire.message.MessageReader;
import org.codehaus.xfire.message.MessageWriter;
import org.codehaus.xfire.type.Type;

/**
 * SimpleSerializer
 * 
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 */
public class BooleanType
    extends Type
{
    public Object readObject(MessageReader reader, MessageContext context)
    {
        return new Boolean( reader.getValueAsBoolean() );
    }

    public void writeObject(Object object, MessageWriter writer, MessageContext context)
    {
        writer.writeValueAsBoolean( ((Boolean) object).booleanValue() );
    }
}
