package org.codehaus.xfire.type.basic;

import org.codehaus.xfire.MessageContext;
import org.codehaus.xfire.message.MessageReader;
import org.codehaus.xfire.message.MessageWriter;
import org.codehaus.xfire.type.Type;

/**
 * SimpleSerializer
 * 
 * @author <a href="mailto:dan@envoisolutions.com">Dan Diephouse</a>
 */
public class LongType
    extends Type
{
    public Object readObject(MessageReader reader, MessageContext context)
    {
        return new Integer( reader.getValueAsInt() );
    }

    public void writeObject(Object object, MessageWriter writer, MessageContext context)
    {
        writer.writeValueAsInt( (Integer) object );
    }
}
