package org.codehaus.xfire.type.mtom;

import java.awt.Image;

import org.codehaus.xfire.attachments.AbstractDataContentHandlerFactory;
import org.codehaus.xfire.attachments.ImageDataContentHandler;

/**
 * @author <a href="mailto:dan@envoisolutiosn.com">Dan Diephouse</a>
 */
public class MTOMDataContentHandlerFactory
    extends AbstractDataContentHandlerFactory
{
    private static ImageDataContentHandler imgHandler = new ImageDataContentHandler();

    public MTOMDataContentHandlerFactory()
    {
        register("image/jpeg", Image.class, imgHandler);
    }
}
